        #background {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
height: 100vh;
height: 100dvh;
    z-index: -2;
    overflow: hidden;
    background-color: white;
}
.text-overlay {
    background-color: rgba(0, 0, 0, 0.5); /* czarne półprzezroczyste tło */
    color: white; /* jasny tekst dla kontrastu */
    padding: 20px;
    border-radius: 10px;
    margin: 0 auto;
}
.background-media {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100dvh;
    object-fit: cover;
    background-color: white;
    opacity: 0;


    transition: opacity 2.5s ease-in-out, object-fit 1s ease, transform 1s ease;
}

.background-media-active {
    opacity: 1;
}


video.background-media {
    z-index: -11;
}

.transparent-bg {
    background-color: rgba(255, 255, 255, 0.6);
    width: 100%;
    height: 100dvh;
    position: fixed;
    top: 0;
    left: 0;
    z-index: -1;
}